Bug 198774 - Import WPT websockets tests
Summary: Import WPT websockets tests
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-06-11 17:59 PDT by youenn fablet
Modified: 2019-06-13 15:00 PDT (History)
10 users (show)

See Also:


Attachments
Patch (585.42 KB, patch)
2019-06-11 18:40 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (584.90 KB, patch)
2019-06-11 21:37 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews103 for mac-highsierra (3.32 MB, application/zip)
2019-06-11 22:30 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews104 for mac-highsierra-wk2 (3.17 MB, application/zip)
2019-06-11 22:40 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews115 for mac-highsierra (2.99 MB, application/zip)
2019-06-11 23:36 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews124 for ios-simulator-wk2 (2.59 MB, application/zip)
2019-06-11 23:42 PDT, Build Bot
no flags Details
Patch (585.12 KB, patch)
2019-06-12 08:43 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (587.04 KB, patch)
2019-06-12 09:21 PDT, youenn fablet
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description youenn fablet 2019-06-11 17:59:02 PDT
Import WPT websockets tests
Comment 1 youenn fablet 2019-06-11 18:40:06 PDT
Created attachment 371905 [details]
Patch
Comment 2 youenn fablet 2019-06-11 21:37:14 PDT
Created attachment 371923 [details]
Patch
Comment 3 Build Bot 2019-06-11 22:30:23 PDT
Comment on attachment 371923 [details]
Patch

Attachment 371923 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/12451210

New failing tests:
imported/w3c/web-platform-tests/html/webappapis/dynamic-markup-insertion/opening-the-input-stream/abort.sub.window.html
imported/w3c/web-platform-tests/websockets/interfaces/WebSocket/url/005.html
imported/w3c/web-platform-tests/websockets/interfaces/WebSocket/readyState/004.html
Comment 4 Build Bot 2019-06-11 22:30:25 PDT
Created attachment 371929 [details]
Archive of layout-test-results from ews103 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews103  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 5 Build Bot 2019-06-11 22:40:42 PDT
Comment on attachment 371923 [details]
Patch

Attachment 371923 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/12451223

New failing tests:
imported/w3c/web-platform-tests/html/webappapis/dynamic-markup-insertion/opening-the-input-stream/abort.sub.window.html
Comment 6 Build Bot 2019-06-11 22:40:44 PDT
Created attachment 371930 [details]
Archive of layout-test-results from ews104 for mac-highsierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews104  Port: mac-highsierra-wk2  Platform: Mac OS X 10.13.6
Comment 7 Build Bot 2019-06-11 23:36:20 PDT
Comment on attachment 371923 [details]
Patch

Attachment 371923 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/12451376

New failing tests:
imported/w3c/web-platform-tests/html/webappapis/dynamic-markup-insertion/opening-the-input-stream/abort.sub.window.html
imported/w3c/web-platform-tests/websockets/interfaces/WebSocket/url/005.html
imported/w3c/web-platform-tests/websockets/interfaces/WebSocket/readyState/004.html
Comment 8 Build Bot 2019-06-11 23:36:22 PDT
Created attachment 371932 [details]
Archive of layout-test-results from ews115 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews115  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 9 Build Bot 2019-06-11 23:42:54 PDT
Comment on attachment 371923 [details]
Patch

Attachment 371923 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/12451397

New failing tests:
imported/w3c/web-platform-tests/html/webappapis/dynamic-markup-insertion/opening-the-input-stream/abort.sub.window.html
Comment 10 Build Bot 2019-06-11 23:42:56 PDT
Created attachment 371933 [details]
Archive of layout-test-results from ews124 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews124  Port: ios-simulator-wk2  Platform: Mac OS X 10.14.5
Comment 11 youenn fablet 2019-06-12 08:43:39 PDT
Created attachment 371963 [details]
Patch
Comment 12 youenn fablet 2019-06-12 09:21:08 PDT
Created attachment 371969 [details]
Patch
Comment 13 Geoffrey Garen 2019-06-13 10:32:34 PDT
Comment on attachment 371969 [details]
Patch

r=me
Comment 14 WebKit Commit Bot 2019-06-13 11:35:35 PDT
Comment on attachment 371969 [details]
Patch

Clearing flags on attachment: 371969

Committed r246406: <https://trac.webkit.org/changeset/246406>
Comment 15 WebKit Commit Bot 2019-06-13 11:35:37 PDT
All reviewed patches have been landed.  Closing bug.
Comment 16 Radar WebKit Bug Importer 2019-06-13 11:37:28 PDT
<rdar://problem/51716086>
Comment 17 Truitt Savell 2019-06-13 15:00:51 PDT
The newly imported test imported/w3c/web-platform-tests/websockets/bufferedAmount-unchanged-by-sync-xhr.any.worker.html

Is flakey on WK2. 

Marked test as failing in https://trac.webkit.org/changeset/246416/webkit